image: omalaspinas/pandoc:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive


before_script:
   ##
   ## Install ssh-agent if not already installed, it is required by Docker.
   ## (change apt-get to yum if you use an RPM-based image)
   ##
   - 'which ssh-agent || (pacman -S --noconfirm openssh)'
   - 'which rsync || (pacman -S --noconfirm rsync)'


   ##
   ## Run ssh-agent (inside the build environment)
   ##
   - eval $(ssh-agent -s)

   ##
   ## Add the SSH key stored in SSH_PRIVATE_KEY variable to the agent store
   ## We're using tr to fix line endings which makes ed25519 keys work
   ## without extra base64 encoding.
   ## https://gitlab.com/gitlab-examples/ssh-private-key/issues/1#note_48526556
   ##
   - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add - > /dev/null

   ##
   ## Create the SSH directory and give it the right permissions
   ##
   - mkdir -p ~/.ssh
   - chmod 700 ~/.ssh

   ##
   ## Add host id to known_hosts
   ##
   - echo "$SSH_KNOWN_HOSTS" > ~/.ssh/known_hosts
   - chmod 644 ~/.ssh/known_hosts



build_only:
  script:
    - make
    - make deploy
    - rsync -avz prog_seq_c_cours ur1bg_malas@ur1bg.ftp.infomaniak.com:web/malaspinas/

build_artifacts:
  script:
    - make
  artifacts:
    paths:
      - "*.pdf"
      - "*.html"
  only:
    - tags
